FIX::UnsupportedVersion Struct Reference

Version of FIX is not supported. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::UnsupportedVersion:
[legend]
Collaboration diagram for FIX::UnsupportedVersion:
[legend]

## Public Member Functions

| UnsupportedVersion (const std::string &what="")
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Additional Inherited Members

Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Version of FIX is not supported.

Definition at line 183 of file Exceptions.h.

## Constructor & Destructor Documentation

## UnsupportedVersion()

FIX::UnsupportedVersion::UnsupportedVersion | ( | const std::string & | what = `""` | ) |

inline

Definition at line 185 of file Exceptions.h.

: Exception( "Unsupported Version", what ) {}
FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition: Exceptions.h:35

The documentation for this struct was generated from the following file:

- Exceptions.h